<?PHP
/**
 * Contains a helper class for validation errors.
 *
 * @author Nathan Eikermann <nathan@museum-digital.de>
 */
declare(strict_types = 1);
/**
 * Class holding the information about various errors
 * that can occur during validation
 */
final class CSVXMLValidator {

    public array $error_msgs;
    public array $inv_errors;
    public array $depcon_errors;

    public function addError(String $error)
    {
        $this->error_msgs[] = $error;

    }

    public function addInvError(String $error)
    {
        $this->inv_errors[] = $error;

    }

    public function addDepconError(String $error)
    {
        $this->depcon_errors[] = $error;

    }

    public function overallErrorCount(): int
    {
        return count($this->error_msgs)
            + count($this->inv_errors)
            + count($this->depcon_errors);

    }

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->error_msgs = [];
        $this->inv_errors = [];
        $this->depcon_errors = [];

    }
}
